Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Nov 2020 19:44:16 +0200

> Date: Tue, 10 Nov 2020 17:36:35 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > > (gdb) call malloc_info(0, stdout)
> > > 'malloc_info' has unknown return type; cast the call to its declared
> > > return type
> > 
> > BTW, because I'm such a C noob, I can also offer to give me a (phone or
> > Signal) call if you are interested, maybe that's more efficient.
> 
> If the information proves to be useful, maybe we should provide a Lisp
> command to call that function.  It could be instrumental in asking
> people who see this problem report their results.

I've now added such a command to the master branch.  Redirect stderr
to a file, and then invoke "M-x malloc-info RET" when you want a
memory report.  The command doesn't display anything, it just writes
the info to the redirected file.

HTH